# class Class

Additional alternations to Standard element classes: expanded functionality (Tier 1 Augmentation)

`Class` extensions:

### Public Instance Methods

descendants() click to toggle source

Attribution : stackoverflow.com/questions/2393697/look-up-all-descendants-of-a-class-in-ruby

    # File lib/gxg/gxg_augmented.rb, line 23
    def descendants
      result = []
      ObjectSpace.each_object(::Class) do |the_class|
        if the_class < self
          result << the_class
        end
      end
      result
    end